Package org.eclipse.graphiti.dt

## Interface IDiagramTypeProviderHolder

All Known Subinterfaces:
  `IRendererContext`

All Known Implementing Classes:
  `RendererContext`

    public interface IDiagramTypeProviderHolder

The Interface IDiagramTypeProviderHolder.

### Method Summary

All Methods Instance Methods Abstract Methods
`IDiagramTypeProvider` `getDiagramTypeProvider()` Gets the diagram type provider.

### Method Detail

#### getDiagramTypeProvider

    IDiagramTypeProvider getDiagramTypeProvider()

Gets the diagram type provider.

Returns:
  the diagram type provider